<?php 
/**
 * @package WordPress
 * @subpackage vice
 * @version 1.0.0
 * Used by shortcodes autocomplete
*/

if(!function_exists('elementor_vice_autocomplete')) {
function elementor_vice_autocomplete( $post_type = 'post' ) {
	$posts = get_posts( array(
		'posts_per_page' 	=> -1,
		'post_type'			=> $post_type,
	));
	$result = array();
	foreach ( $posts as $post )	{
		$result[$post->ID] = $post->post_title;
	}
	return $result;
}}